__docformat__='restructuredtext'

class Foo:
    
    def flushCacheEntry(self, REQUEST=None, **kw):
        """Flush just this entry from the cache.

        :Parameters:

          - `kw`: Same parameters you pass to the SQLMethod

          - `REQUEST`: Current REQUEST.  Needed in case SQLMethod looks
            in REQUEST to render itself.

        :Warn: 
          This does not work across ZEO clients.  Only the client
          that this is called in will flush this cache entry. You have
          been warned.
        """

        kw=kw.copy()
        kw['src__']= 1
        query=apply(self.__call__, (REQUEST,), kw)
        cache, _= self.getCache()
        try:
            del cache[(query,self.max_rows_)]
        except KeyError: 
            pass

